Bug 1760966 - EPEL7 - gerbv won't install on RHEL 7.7
Summary: EPEL7 - gerbv won't install on RHEL 7.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gerbv
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alain V.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPEL7FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-10-11 20:32 UTC by Troy Dawson
Modified: 2019-11-25 00:41 UTC (History)
1 user (show)

Fixed In Version: gerbv-2.7.0-2.el7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-25 00:41:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Troy Dawson 2019-10-11 20:32:20 UTC
Current gerbv for EPEL7 (gerbv-2.7.0-2.el7) requires
  electronics-menu
This package is no longer found in RHEL7 or EPEL7

Please fix this package so that it can be installed in RHEL 7.7.
If you have not responded in a week, we will have a proven packager fix it.
If you know you will not be able to get to it and would like it fixed sooner, please let us know in this bug.
If you feel this package should no longer be in EPEL7, please let us know in this bug.

Comment 1 Troy Dawson 2019-10-23 14:36:12 UTC
electronics-menu was taken out of EPEL7 back in 2016.
The reason was "Retired orphaned package, because it was orphaned for more than six weeks."

How critical is electronics-menu to gerbv?
Could we change the
  Requires: electronics-menu
to
  Recommends: electronics-menu

That would allow the epel7 and Fedora git repo's to be the same, but not have electronics-menu.

Or

You could take over maintainership for electonics-menu in epel7

Or

We could remove gerbv from EPEL 7.  (Because it can't install anyway)

Comment 2 Troy Dawson 2019-11-08 21:09:35 UTC
Since we have not heard back within a week, our proven packager will fix this.
He will take the simplest fix, which is to change Requires to Recommends.

Comment 3 Fedora Update System 2019-11-08 21:34:36 UTC
FEDORA-EPEL-2019-25d99aa067 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-25d99aa067

Comment 4 Fedora Update System 2019-11-10 01:17:12 UTC
gerbv-2.7.0-2.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-25d99aa067

Comment 5 Fedora Update System 2019-11-25 00:41:24 UTC
gerbv-2.7.0-2.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.